﻿using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace Artech.ExtendedUltraGrid4SelectAll
{
    public class ExtendedUltraGrid : UltraGrid
    {
        public string SelectAllColumnName{get;set;}

        internal bool IsGroupMode
        {
            get
            {
                foreach (var row in this.Rows)
                {
                    if (row.IsGroupByRow)
                    {
                        return true;
                    }
                }
                return false;
            }
        }

        internal CheckState CheckState{ get; set; }

        public ExtendedUltraGrid()
        {
            this.CreationFilter = new CheckableHeaderCreationFilter(this);
        }       
    }
}